This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 59436 - kaboodle crashes on exit
kaboodle crashes on exit
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdemultimedia (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 17:59 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-07 17:59:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-02-07 17:59:30 EST
Description of Problem:
kaboodle always crashes on exit

Version-Release number of selected component (if applicable):
kdemultimedia-kaboodle-3.0.0-0.cvs20020128.2

How Reproducible:
100%

Steps to Reproduce:
1. kaboodle file.mpg
2. Close window.

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 26060)]
0x4135cff9 in wait4 () from /lib/i686/libc.so.6
#0  0x4135cff9 in wait4 () from /lib/i686/libc.so.6
#1  0x413eb690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e8f483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40623aa9 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40e8d7fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x00000010 in ?? ()
#7  0x4003f4b8 in Player::~Player() () from /usr/lib/libkaboodlepart.so
#8  0x4003dce8 in KaboodlePart::~KaboodlePart() ()
   from /usr/lib/libkaboodlepart.so
#9  0x40952548 in QWidget::~QWidget() () from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0x409f4c2c in QMainWindow::~QMainWindow() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0x404220c5 in KMainWindow::~KMainWindow() () from /usr/lib/libkdeui.so.4
#12 0x40067dc8 in KParts::MainWindow::~MainWindow() ()
   from /usr/lib/libkparts.so.2
#13 0x4002381e in UserInterface::~UserInterface() () from /usr/lib/kaboodle.so
#14 0x40923732 in QObject::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0x40957adc in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0x409f6e72 in QMainWindow::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0x408d6ce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x408d65c3 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x405b4bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#20 0x408d76bb in QApplication::sendPostedEvents(QObject*, int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0x408d7598 in QApplication::sendPostedEvents() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x4087dbed in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x408d82c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x4087d5bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x40022374 in main () from /usr/lib/kaboodle.so
#26 0x412bc108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Bernhard Rosenkraenzer 2002-02-22 06:38:21 EST
Fixed in 0.cvs20020218.1

Note You need to log in before you can comment on or make changes to this bug.